svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="250ms")
    property(name="num" type="auto" initial='10')
      relation(query-selector='#rect' attribute-name="width" values="0; 100%")
    property(name="num2" type="auto" min='20' max='120')
      relation(query-selector='#rect2' attribute-name="width" values="0; 100%")
    property(name="bool" type="auto" initial='true')
      direct(query-selector='#text')
    property(name="enum" type="auto" initial='"true"')
      direct(query-selector='#text2')
      relation(query-selector='#text2' attribute-name="fill" values="red; blue")
    property(name="noInit" type="auto")
      relation(query-selector='#text' attribute-name="fill" values="red; blue")
    computed(name='auto' type='auto' min='0' max='100' onupdate='Number.isFinite($state.num2) ? ($state.num2 + 1) : $state.num2')
      relation(query-selector='#rect3' attribute-name='width' from='0' to='100%')

  text#text(y="5%" x="50%" height="5%" style="font-size:2em;") Should not be visible
  rect#rect(y="10%" width="0%" height="5%" fill="red")
  text#text2(y="20%" x="50%" height="5%" style="font-size:2em;") Should not be visible
  rect#rect2(y="30%" width="0%" height="5%" fill="purple")
  rect#rect3(y="40%" width="0%" height="5%" fill="papayawhip")
